composer使用笔记

1.基本用法
require  monolog/monolog  1.0.*

2.包版本
确定版本	1.0.1
范围		>=1.0
范围AND		>=1.0,<2.0
范围OR		>2.0|<1.2
通配符		1.*
运算		~1.2等同于>=1.2,<2.0	大于1.2并且小于2.0版本

备注:~1.2.1是等同于>=1.2.1,<1.3

3.将composer.lock好composer.json提交到仓库当中方便协同工作

更多参考:https://getcomposer.org/doc/04-schema.md


Bookmark the permalink.

Comments are closed.